Index: main/waeup.sirp/trunk/src/waeup/sirp/payments/interfaces.py
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/payments/interfaces.py	(revision 6866)
+++ main/waeup.sirp/trunk/src/waeup/sirp/payments/interfaces.py	(revision 6869)
@@ -1,4 +1,5 @@
 ##
 ## interfaces.py
+from zope.interface import Attribute, invariant
 from zope import schema
 from waeup.sirp.interfaces import IWAeUPObject
@@ -15,4 +16,5 @@
 
     """
+    p_id = Attribute('Payment identifier.')
 
     p_state = schema.Choice(
@@ -32,20 +34,24 @@
     p_item = schema.TextLine(
         title = u'Payment Item',
-        default = u'Certificate XYZ',
+        default = None,
         required = False,
         )
 
-    date_of_creation = schema.Date(
+    creation_date = schema.Datetime(
         title = u'Ticket Creation Date',
+        readonly = True,
         )
 
-    date_of_payment = schema.Date(
-        title = u'Date of Payment',
+    payment_date = schema.Date(
+        title = u'Payment Date',
+        required = False,
+        readonly = True,
         )
 
     amount_auth = schema.Int(
-        title = u'Amount authorized',
+        title = u'Amount Authorized',
         default = 0,
         required = True,
+        readonly = True,
         )
 
@@ -59,4 +65,5 @@
         default = u'Certificate XYZ',
         required = False,
+        readonly = True,
         )
 
@@ -70,10 +77,12 @@
         default = 0,
         required = False,
+        readonly = True,
         )
 
-    order_id = schema.TextLine(
-        title = u'Order Id',
-        default = None,
-        )
+    #order_id = schema.TextLine(
+    #    title = u'Order Id',
+    #    default = None,
+    #    required = True,
+    #    )
 
     r_amount_approved = schema.Int(
@@ -81,4 +90,5 @@
         default = 0,
         required = False,
+        readonly = True,
         )
 
@@ -86,4 +96,6 @@
         title = u'Response Code',
         default = None,
+        required = False,
+        readonly = True,
         )
 
@@ -91,3 +103,5 @@
         title = u'Response Card Number',
         default = None,
+        required = False,
+        readonly = True,
         )
Index: main/waeup.sirp/trunk/src/waeup/sirp/payments/payment.py
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/payments/payment.py	(revision 6866)
+++ main/waeup.sirp/trunk/src/waeup/sirp/payments/payment.py	(revision 6869)
@@ -18,4 +18,5 @@
 """
 import grok
+from datetime import datetime
 from grok import index
 from zope.component.interfaces import IFactory
@@ -24,4 +25,5 @@
     IPayment, ISCPayment, IOnlinePayment)
 from waeup.sirp.utils.helpers import attrs_to_fields
+from waeup.sirp.payments.vocabularies import payment_states, payment_categories
 
 class Payment(grok.Container):
@@ -34,5 +36,15 @@
     def __init__(self):
         super(Payment, self).__init__()
+        self.creation_date = datetime.now()
+        self.p_id = None
         return
+
+    @property
+    def state(self):
+        return payment_states.getTermByToken(self.p_state).title
+
+    @property
+    def category(self):
+        return payment_categories.getTermByToken(self.p_category).title
 
 class SCPayment(Payment):
@@ -44,4 +56,5 @@
     def __init__(self):
         super(SCPayment, self).__init__()
+        p_id = None
         return
 
@@ -56,4 +69,5 @@
     def __init__(self):
         super(OnlinePayment, self).__init__()
+        p_id = None
         return
 
Index: main/waeup.sirp/trunk/src/waeup/sirp/payments/vocabularies.py
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/payments/vocabularies.py	(revision 6866)
+++ main/waeup.sirp/trunk/src/waeup/sirp/payments/vocabularies.py	(revision 6869)
@@ -4,6 +4,6 @@
 
 payment_states = SimpleWAeUPVocabulary(
-    ('not yet paid','unpaid'),
-    ('paid','paid'),
+    ('Not yet paid','unpaid'),
+    ('Paid','paid'),
     )
 
